<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml" />

<xsl:template match="/">
    <xsl:apply-templates select="/document/comment"/>
</xsl:template>

<xsl:template match="/document/comment">

	<h1>Добавление комментария</h1>

	<!-- Определяем текст сообщения -->
	<xsl:choose>
	
		<!-- Ошибка. С момента добавления последнего комментария прошло слишком мало времени -->
		<xsl:when test="/document/is_error_time = 1">
			<div id="error">Ошибка! С момента добавления Вами последнего комментария/ответа прошло слишком мало времени!</div>
		</xsl:when>
		<!-- Ошибка. Неверный код подтверждения -->
		<xsl:when test="/document/is_error_capthca = 1">
			<div id="error">Ошибка! Вы неверно ввели число подтверждения отправки комментария!</div>
		</xsl:when>
		<!-- Без ошибок -->
		<xsl:otherwise>
			<div>
				Благодарим Вас, <xsl:value-of disable-output-escaping="yes" select="comment_autor"/>!
					
				<br />
			
				<!-- Проверка на тип добавления, сразу после публикации или после проверки -->
				<xsl:choose>
				<xsl:when test="/document/type_add_comment = 1">
					Комментарий опубликован.
				</xsl:when>
				<xsl:otherwise>
					После проверки Администратором Ваш комментарий станет доступным.
				</xsl:otherwise>
				</xsl:choose>
			</div >
		</xsl:otherwise>
	</xsl:choose>
	

</xsl:template>

</xsl:stylesheet>